Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper.DefaultSmartEntityReference

    java.lang.Object
      com.beasys.commerce.util.PersistenceHelper.DefaultSmartEntityReference

All Implemented Interfaces
  SmartEntityReference, Serializable

Enclosing class:
  PersistenceHelper

    public static class PersistenceHelper.DefaultSmartEntityReference

extends Object
implements SmartEntityReference, Serializable

See Also
  Serialized Form

Constructor Summary
`protected` | `PersistenceHelper.DefaultSmartEntityReference()`
`protected` | `PersistenceHelper.DefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)`

Method Summary
`int` | `compareTo(javax.ejb.EJBObject that)`
`int` | `compareTo(SmartEntityReference that)` compare two PK's
`javax.ejb.EJBObject` | `getEJBObject()` Returns the EJBObject.
`String` | `getJNDIName()`
`void` | `setEJBObject(javax.ejb.EJBObject ejbObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper.DefaultSmartEntityReference

    protected PersistenceHelper.DefaultSmartEntityReference()

### PersistenceHelper.DefaultSmartEntityReference

    protected PersistenceHelper.DefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)

Method Detail

### setEJBObject

    public void setEJBObject(javax.ejb.EJBObject ejbObject)

  Specified by:
    `setEJBObject` in interface `SmartEntityReference`

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

  Description copied from interface: `SmartEntityReference`
  Returns the EJBObject. If the SmartHandle is empty, it returns null.

  Specified by:
    `getEJBObject` in interface `SmartEntityReference`

### getJNDIName

    public String getJNDIName()

  Specified by:
    `getJNDIName` in interface `SmartEntityReference`

### compareTo

    public int compareTo(javax.ejb.EJBObject that)

  Specified by:
    `compareTo` in interface `SmartEntityReference`

### compareTo

    public int compareTo(SmartEntityReference that)

  compare two PK's

  Specified by:
    `compareTo` in interface `SmartEntityReference`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.